/*
 * __STL_DONT_USE_BOOL_TYPEDEF
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_BOOL

typedef int bool;

int test_for_bool_keyword()
{
  printf("#undef __STL_DONT_USE_BOOL_TYPEDEF\n");
  return 1;
}

#else
int test_for_bool_keyword()
{
  #ifdef BOOL_IS_INT
  printf("#undef  __STL_DONT_USE_BOOL_TYPEDEF // not tested __STL_DONT_USE_BOOL_TYPEDEF\n");
  #else
  printf("// not tested __STL_DONT_USE_BOOL_TYPEDEF\n");
  #endif

  return 1;
}

#endif