/*
 * __STL_NO_EXCEPTION_HEADER
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_EXCEPTION_H
     #include <exception>
     # if !defined (__STL_HAS_NO_NAMESPACES)
       using namespace std;
     # endif
     class my_exception: public _TEST_STD::exception {};
     my_exception mm;

int test_for_exception_h()
{
  printf("#undef __STL_NO_EXCEPTION_HEADER\n");
  return 1;
}

#else
int test_for_exception_h()
{
  printf("#define __STL_NO_EXCEPTION_HEADER\n");
  return 1;
}

#endif
