/*
 *  __STL_HAS_NO_EXCEPTIONS
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_EXCEPTIONS
int ex_foo() {
	 try {
		 try { throw(1); }
		 catch (int a) { throw; }
	 } catch (...) {;}
	return 0;
}

int test_exception_support()
{
  (void)ex_foo();
  printf("#undef __STL_HAS_NO_EXCEPTIONS\n");
  return 1;
}

#else
int test_exception_support()
{
  printf("#define __STL_HAS_NO_EXCEPTIONS\n");
  return 1;
}

#endif
