/*
 * __STL_NO_METHOD_SPECIALIZATION
 */
#include <stdio.h>

template <class Arg,class Result>
struct ms_foo {
    typedef Arg argument_type;
    typedef Result result_type;
    inline void bar();
};

template <class Arg,class Result>
inline void ms_foo<Arg,Result>::bar() {}

inline void ms_foo<int*,int>::bar() {}

ms_foo<char*, char*> p;
ms_foo<int*, int> p1;

int test_method_specialization()
{
  p.bar();
  p1.bar();
  printf("#undef __STL_NO_METHOD_SPECIALIZATION\n");
  return 1;
}
