/*
 * there could be no correct stdexcept/iostream  without string
 *
 * for native <stdexcept> header
 *
 * __STL_NO_STDEXCEPT_HEADER
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_STDEXCEPT_HEADER

#include <stdexcept>

# if !defined (__STL_HAS_NO_NAMESPACES)
 using namespace std;
# endif
string s;
logic_error le(s);
runtime_error re(s);
domain_error de(s);
invalid_argument ia(s);
length_error lne(s);
out_of_range or(s);
range_error rne(s);
overflow_error ove(s);
underflow_error ue(s);

int test_for_stdexcept_header()
{
  printf("#undef __STL_NO_STDEXCEPT_HEADER\n");
  return 1;
}

#else
int test_for_stdexcept_header()
{
  printf("#define __STL_NO_STDEXCEPT_HEADER\n");
  return 1;
}

#endif