/*
 * __STL_HAS_NO_NEW_IOSTREAMS
 */
#include <stdio.h>
#include "test_config.h"

#ifdef __STL_NO_NEW_IOSTREAMS

int test_for_new_iostreams()
{
  printf("#define __STL_HAS_NO_NEW_IOSTREAMS\n");
  printf("#define __STL_NO_NEW_IOSTREAMS\n");
  return 1;
}

#else

#include <iosfwd>
#include <iostream>
# if !defined (__STL_HAS_NO_NAMESPACES)
 using namespace std;
# endif

template <class _Tp, class _Traits>
void outp(basic_ostream<_Tp,_Traits>& o, char* str) {
	 o<<str;
	}

int test_for_new_iostreams()
{
  outp(cout, "Hello World\n");
  printf("#undef __STL_HAS_NO_NEW_IOSTREAMS\n");
  return 1;
}

#endif