/*
 * __STL_NO_CLASS_PARTIAL_SPECIALIZATION
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_CLASS_PARTIAL_SPECIALIZATION

template <class Arg,class Result>
struct ps_foo {
    typedef Arg argument_type;
    typedef Result result_type;
};

template<class Result>
struct ps_foo<Result*,Result*> {
	void bar() {}
};

template<class Result>
struct ps_foo<int*,Result> {
	void foo() {}
};

ps_foo<char*, char*> p;
ps_foo<int*, int> p1;

int test_partial_specialization()
{
  p.bar();
  p1.foo();
  printf("#undef __STL_NO_CLASS_PARTIAL_SPECIALIZATION \n");
  return 1;
}

#else
int test_partial_specialization()
{

  printf("#define __STL_NO_CLASS_PARTIAL_SPECIALIZATION \n");
  return 1;
}

#endif