/*
 * if wchar_t is unsigned short
 */
#include <stdio.h>
#include "test_config.h"

#ifdef __STL_NO_WCHAR_T

int test_wchart_is_ushort()
{
  printf("// Not tested __STL_WCHAR_T_IS_USHORT 1\n");
  return 1;
}

#else

#include <wchar.h>

#ifdef __STL_NO_PARTIAL_SPECIALIZATION_SYNTAX

template <class T> struct foo {};

struct foo <wchar_t> {};

typedef unsigned short u__short;

struct foo <u__short> {};   // this line fails to compile

#else

template <class T> struct foo {};
template <> struct foo <wchar_t> {};
typedef unsigned short u__short;
template <> struct foo <u__short> {};

#endif

foo<wchar_t> f1;
foo<u__short> f2;

int test_wchart_is_ushort()
{
  printf("#define __STL_WCHAR_T_IS_USHORT 1\n");
  return 1;
}
#endif