/*
 * for native <string> header with basic_string defined
 * __STL_NO_STRING_HEADER
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_STRING_HEADER

#include <string>

# if !defined (__STL_HAS_NO_NAMESPACES)
   using namespace std;
# endif
basic_string<char, char_traits<char>, allocator<char> > bs;
string bd = bs;

int main()
{
  printf("#undef __STL_NO_STRING_HEADER\n");
  return 1;
}

#else
int test_for_string_header()
{
  printf("#define __STL_NO_STRING_HEADER\n");
  return 1;
}

#endif