/*
 * __STL_NO_FRIEND_TEMPLATES
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FRIEND_TEMPLATES

template <class Result2> class foo;

template <class Result>
struct ft_foo {
    typedef Result result_type;
    template <class Result2> friend class foo;
};
ft_foo<int> p;

int test_for_friend_templates()
{
  printf("#undef __STL_NO_FRIEND_TEMPLATES\n");
  return 1;
}

#else

int test_for_friend_templates()
{
  printf("#define __STL_NO_FRIEND_TEMPLATES\n");
  return 1;
}


#endif