/*
 * __STL_NO_MEMBER_TEMPLATES
 */
#include <stdio.h>
#include "test_config.h"


#ifdef TEST_MEMBER_TEMPLATES
template <class Result>
struct mt_foo {
    typedef Result result_type;
    template <class Arg> result_type operate(const Arg&) { return Result(); }
};
mt_foo<int> p;

int test_member_templates()
{
  (void)p.operate((char*)"aaa");

  printf("#undef __STL_NO_MEMBER_TEMPLATES\n");
  return 1;
}

#else

int test_member_templates()
{
  printf("#define __STL_NO_MEMBER_TEMPLATES\n");
  return 1;
}

#endif

